## libpam-pwdfile 0.1

=== Makefile ===
# $Id: Makefile,v 1.1.1.1 1999/08/05 13:09:07 cpbotha Exp $
#
# This Makefile controls a build process of $(TITLE) module for
# Linux-PAM. You should not modify this Makefile (unless you know
# what you are doing!).
#

TITLE=pam_pwdfile

#

LIBSRC = $(TITLE).c
LIBOBJ = $(TITLE).o
LDLIBS = -lcrypt
LIBOBJD = $(addprefix dynamic/,$(LIBOBJ))
LIBOBJS = $(addprefix static/,$(LIBOBJ))

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(DYNAMIC) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

static/%.o : %.c
	$(CC) $(CFLAGS) $(STATIC) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@


ifdef DYNAMIC
LIBSHARED = $(TITLE).so
endif

ifdef STATIC
LIBSTATIC = lib$(TITLE).o
endif

####################### don't edit below #######################

dummy:

	@echo "**** This is not a top-level Makefile "
	exit

all: dirs $(LIBSHARED) $(LIBSTATIC) register

dirs:
ifdef DYNAMIC
	$(MKDIR) ./dynamic
endif
ifdef STATIC
	$(MKDIR) ./static
endif

register:
ifdef STATIC
	( cd .. ; ./register_static $(TITLE) $(TITLE)/$(LIBSTATIC) )
endif

ifdef DYNAMIC
$(LIBOBJD): $(LIBSRC)

$(LIBSHARED):	$(LIBOBJD)
		$(LD_D) -o $@ $(LIBOBJD) $(LDLIBS)
endif

ifdef STATIC
$(LIBOBJS): $(LIBSRC)

$(LIBSTATIC): $(LIBOBJS)
	$(LD) -r -o $@ $(LIBOBJS) $(LDLIBS)
endif

install: all
	$(MKDIR) $(FAKEROOT)$(SECUREDIR)
ifdef DYNAMIC
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(FAKEROOT)$(SECUREDIR)
endif

remove:
	rm -f $(FAKEROOT)$(SECUREDIR)/$(TITLE).so

clean:
	rm -f $(LIBOBJD) $(LIBOBJS) core *~

extraclean: clean
	rm -f *.a *.o *.so *.bak dynamic/* static/*

.c.o:	
	$(CC) $(CFLAGS) -c $<

## libpam-pwdfile 0.99

=== Makefile ===
# $Id: Makefile,v 1.5 2002/06/09 21:01:46 cpbotha Exp $
#
# This Makefile controls a build process of $(TITLE) module for
# Linux-PAM. You should not modify this Makefile (unless you know
# what you are doing!).
#

include ../../Make.Rules

ifeq ($(HAVE_LIBCRYPT),yes)
  EXTRALS += -lcrypt
endif

TITLE=pam_pwdfile
CFLAGS += -D_BSD_SOURCE

md5_good.o: md5.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -DHIGHFIRST -D'MD5Name(x)=Good##x' \
		$(TARGET_ARCH) -c $< -o $@

md5_broken.o: md5.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -D'MD5Name(x)=Broken##x' \
		$(TARGET_ARCH) -c $< -o $@

md5_crypt_good.o: md5_crypt.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -D'MD5Name(x)=Good##x' \
		$(TARGET_ARCH) -c $< -o $@

md5_crypt_broken.o: md5_crypt.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -D'MD5Name(x)=Broken##x' \
		$(TARGET_ARCH) -c $< -o $@

##### The following mostly from Simple.Rules
#####  * modifications to first 5 definitions

LIBFILES = $(TITLE) bigcrypt
LIBSRC = $(addsuffix .c,$(LIBFILES)) md5.c md5_crypt.c
LIBOBJ = $(addsuffix .o,$(LIBFILES))
LIBOBJD = $(addprefix dynamic/,$(LIBOBJ)) md5_good.o md5_broken.o md5_crypt_good.o md5_crypt_broken.o
LIBOBJS = $(addprefix static/,$(LIBOBJ)) md5_good.o md5_broken.o md5_crypt_good.o md5_crypt_broken.o

ifdef DYNAMIC
LIBSHARED = $(TITLE).so
endif

ifdef STATIC
LIBSTATIC = lib$(TITLE).o
endif

####################### don't edit below #######################

all: dirs $(LIBSHARED) $(LIBSTATIC) register

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(DYNAMIC) $(TARGET_ARCH) -c $< -o $@

static/%.o : %.c
	$(CC) $(CFLAGS) $(STATIC) $(TARGET_ARCH) -c $< -o $@

dirs:
ifdef DYNAMIC
	$(MKDIR) ./dynamic
endif
ifdef STATIC
	$(MKDIR) ./static
endif

register:
ifdef STATIC
	( cd .. ; ./register_static $(TITLE) $(TITLE)/$(LIBSTATIC) )
endif

ifdef DYNAMIC
$(LIBOBJD): $(LIBSRC)
endif

ifdef DYNAMIC
$(LIBSHARED):	$(LIBOBJD)
	$(LD_D) -o $@ $(LIBOBJD) $(EXTRALS) $(NEED_LINK_LIB_C)
endif

ifdef STATIC
$(LIBOBJS): $(LIBSRC)
endif

ifdef STATIC
$(LIBSTATIC): $(LIBOBJS)
	$(LD) -r -o $@ $(LIBOBJS) $(EXTRALS)
endif

install: all
	$(MKDIR) $(FAKEROOT)$(SECUREDIR)
ifdef DYNAMIC
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(FAKEROOT)$(SECUREDIR)
endif
	$(MODULE_SIMPLE_INSTALL)

remove:
	rm -f $(FAKEROOT)$(SECUREDIR)/$(TITLE).so
	$(MODULE_SIMPLE_REMOVE)

clean:
	rm -f $(LIBOBJD) $(LIBOBJS) core *~
	$(MODULE_SIMPLE_CLEAN)
	rm -f *.a *.o *.so *.bak
	rm -rf dynamic static
	$(MODULE_SIMPLE_EXTRACLEAN)

.c.o:	
	$(CC) $(CFLAGS) -c $<

=== debian/changelog ===
libpam-pwdfile (0.99-5) unstable; urgency=low

  * New Maintainer (Closes: #588877)
  * debian/patches/regular_crypt: Use libc's crypt in the regular way to
    support newer crypt types, esp. SHA2 based ones.
  * Bump Standards-Version to 3.9.3.
  * Bump dh compat level to 9.
  * Enable Multi-Arch.
  * Use source/format 3.0 (quilt).
  * Move Makefile.Debian to debian/Makefile 

 -- Timo Weingärtner <timo@tiwe.de>  Fri, 22 Jun 2012 10:35:36 +0200

libpam-pwdfile (0.99-4) unstable; urgency=low

  * Orphan this package (set maintainer to Debian QA Group).

 -- Greg Norris <adric@debian.org>  Mon, 12 Jul 2010 15:38:54 -0500

libpam-pwdfile (0.99-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Link using gcc instead of ld (closes: #499203).
  * Mark the pam_sm_* functions as __attribute__((visibility("default"))) and
    build with -fvisibility=hidden.

 -- Peter Palfrader <weasel@debian.org>  Thu, 25 Sep 2008 12:50:11 +0200

libpam-pwdfile (0.99-3) unstable; urgency=low

  * Update doeumentation in README.Debian
  * Updated to policy version 3.6.2 (no changes required)

 -- Greg Norris <adric@debian.org>  Wed, 16 Nov 2005 07:56:25 -0600

libpam-pwdfile (0.99-2) unstable; urgency=low

  * Include contrib/warwick_duncan-cyrus_without_system_accounts.txt under
    /usr/share/doc/libpam-pwdfile.

 -- Greg Norris <adric@debian.org>  Mon, 22 Dec 2003 19:39:46 -0600

libpam-pwdfile (0.99-1) unstable; urgency=low

  * New upstream release.

 -- Greg Norris <adric@debian.org>  Sat, 20 Dec 2003 14:36:09 -0600

libpam-pwdfile (0.98-4) unstable; urgency=low

  * Complete yesterday's pam_pwdfile.c update, in which I inadvertently omitted
    a one-line change.

 -- Greg Norris <adric@debian.org>  Sat, 20 Dec 2003 13:53:24 -0600

libpam-pwdfile (0.98-3) unstable; urgency=low

  * Updated pam_pwdfile.c to distinguish between crypt and bigcrypt passwords,
    and handle them appropriately.  The patch has been forwarded upstream, and
    Charl has indicated that it will be incorporated into the next release.
    (closes: 220770)

 -- Greg Norris <adric@debian.org>  Fri, 19 Dec 2003 22:31:31 -0600

libpam-pwdfile (0.98-2) unstable; urgency=low

  * The previous upload failed because dpkg-buildpackage wanted to include
    the source archive, but the existing file can't be overwritten.  Bump the
    revision number, and re-upload.

 -- Greg Norris <adric@debian.org>  Tue,  8 Jul 2003 21:17:49 -0500

libpam-pwdfile (0.98-1) unstable; urgency=low

  * Hijack this package, as the previous maintainer appears to have been
    unreachable for quite some time.  Guess I should have done this in the
    first place. ;-)
  * Miscellaneous updates to packaging files.

 -- Greg Norris <adric@debian.org>  Tue,  8 Jul 2003 18:10:15 -0500

libpam-pwdfile (0.98-0.2) unstable; urgency=low

  * NMU
  * Build using -fPIC (closes: #200477)

 -- Greg Norris <adric@debian.org>  Tue,  8 Jul 2003 10:21:52 -0500

libpam-pwdfile (0.98-0.1) unstable; urgency=low

  * NMU
  * New upstream release.
  * Updated to policy version 3.5.10 (no changes required), in order to make
    lintian happy.
  * Removed obsolete call to dh_suidregister from debian/rules.

 -- Greg Norris <adric@debian.org>  Mon,  7 Jul 2003 20:20:12 -0500

libpam-pwdfile (0.6-2) unstable; urgency=low

  * Added debhelper to Build-Depends (Closes: Bug#77881).

 -- Michael-John Turner <mj@debian.org>  Fri, 24 Nov 2000 21:41:43 +0200

libpam-pwdfile (0.6-1) unstable; urgency=low

  * New upstream.

 -- Michael-John Turner <mj@debian.org>  Sat, 18 Nov 2000 21:24:03 +0200

libpam-pwdfile (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Michael-John Turner <mj@debian.org>  Tue,  7 Dec 1999 12:02:43 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libpam-pwdfile
Section: admin
Priority: extra
Maintainer: Timo Weingärtner <timo@tiwe.de>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), dh-exec (>=0.3), libpam0g-dev
Homepage: http://code.google.com/p/pam-pwdfile/

Package: libpam-pwdfile
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PAM module allowing authentication via an /etc/passwd-like file
 This PAM module lets you use an arbitrarily-named text file similar in
 structure to /etc/passwd to authenticate users. It supports libc's crypt
 plus md5crypt with a broken md5 and Digital UNIX's bigcrypt.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -f debian/Makefile

override_dh_auto_clean:
	$(MAKE) -f debian/Makefile extraclean

override_dh_auto_install:

## libpam-pwdfile 1.0

=== Makefile ===
PAM_LIB_DIR ?= /lib/security
INSTALL ?= install
CFLAGS ?= -O2 -g -Wall -Wformat-security

CPPFLAGS += -DUSE_CRYPT_R
CFLAGS += -fPIC -fvisibility=hidden
LDFLAGS += -Wl,-x -shared

TITLE = pam_pwdfile
LIBSHARED = $(TITLE).so
LDLIBS = -lcrypt -lpam
LIBOBJ = $(TITLE).o md5_broken.o md5_crypt_broken.o bigcrypt.o
CPPFLAGS_MD5_BROKEN = -DHIGHFIRST -D'MD5Name(x)=Broken\#\#x'


all: $(LIBSHARED)

$(LIBSHARED): $(LIBOBJ)
	$(CC) $(LDFLAGS) $(LIBOBJ) $(LDLIBS) -o $@


md5_broken.o: md5.c
	$(CC) -c $(CPPFLAGS) $(CPPFLAGS_MD5_BROKEN) $(CFLAGS) $< -o $@

md5_crypt_broken.o: md5_crypt.c
	$(CC) -c $(CPPFLAGS) $(CPPFLAGS_MD5_BROKEN) $(CFLAGS) $< -o $@


install: $(LIBSHARED)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(PAM_LIB_DIR)
	$(INSTALL) -m 0755 $(LIBSHARED) $(DESTDIR)$(PAM_LIB_DIR)

clean:
	$(RM) *.o *.so

changelog-from-git: changelog
	{ git log --decorate $(shell head -1 changelog | cut -d\  -f2).. | vipe; echo; cat changelog; } | sponge changelog

=== debian/changelog ===
libpam-pwdfile (1.0-1) unstable; urgency=low

  * New upstream release.
    - add debian/NEWS for legacy_crypt
  * update debian/copright, convert to DEP5

 -- Timo Weingärtner <timo@tiwe.de>  Sun, 29 Sep 2013 19:54:37 +0200

libpam-pwdfile (0.100-1) UNRELEASED; urgency=low

  * add gbp.conf
  * drop stuff in debian/ not needed anymore:
    - patches
    - Makefile (Closes: #724202)
    - README.Debian
    - source.lintian-overrides
  * add watch file
  * bump Standards-Version, add Vcs-*, update Homepage

 -- Timo Weingärtner <timo@tiwe.de>  Wed, 29 May 2013 01:26:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: admin
 Priority: extra
 Maintainer: Timo Weingärtner <timo@tiwe.de>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), dh-exec (>=0.3), libpam0g-dev
-Homepage: http://code.google.com/p/pam-pwdfile/
+Homepage: https://github.com/tiwe-de/libpam-pwdfile
+Vcs-Browser: https://github.com/tiwe-de/libpam-pwdfile/tree/debian
+Vcs-Git: git://github.com/tiwe-de/libpam-pwdfile.git -b debian
 
 Package: libpam-pwdfile
 Architecture: any

=== debian/watch ===
version=3
https://github.com/tiwe-de/libpam-pwdfile/tags .*/v(\d[\d\.]*)\.tar\.gz

## libpam-pwdfile 2.0

=== Makefile ===
PAM_LIB_DIR ?= /lib/security
INSTALL ?= install
CFLAGS ?= -O2 -g -Wall -Wformat-security

CPPFLAGS += -DUSE_CRYPT_R -D_FILE_OFFSET_BITS=64
CFLAGS += -fPIC -fvisibility=hidden
LDFLAGS += -Wl,-x -shared

TITLE = pam_pwdfile
LIBSHARED = $(TITLE).so
LDLIBS = -lcrypt -lpam
LIBOBJ = $(TITLE).o


all: $(LIBSHARED)

$(LIBSHARED): $(LIBOBJ)
	$(CC) $(LDFLAGS) $(LIBOBJ) $(LDLIBS) -o $@

install: $(LIBSHARED)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(PAM_LIB_DIR)
	$(INSTALL) -m 0755 $(LIBSHARED) $(DESTDIR)$(PAM_LIB_DIR)

clean:
	$(RM) *.o *.so

changelog-from-git: changelog
	{ git log --decorate $(shell head -1 changelog | cut -d\  -f2).. | vipe; echo; cat changelog; } | sponge changelog

=== debian/changelog ===
libpam-pwdfile (2.0-1) unstable; urgency=medium

  * New upstream release.
    - enable large file support
    - do away with legacy crypt types
    - INSTALL: mention libxcrypt
  * update upstream URLs
  * adapt descriptions to upstream changes
  * Install PAM module into /usr.
    Thanks to Michael Biebl <biebl@debian.org> (Closes: #1061849)
  * update to newer packaging standards
  * remove trailing space in debian/changelog
  * add Build-Depends: libcrypt-dev (Closes: #1066572)
  * enable most dpkg-buildflags features
  * make debian/copyright cover all files

 -- Timo Weingärtner <timo@tiwe.de>  Thu, 20 Jun 2024 14:47:20 +0200

=== debian/control ===
Source: libpam-pwdfile
Section: admin
Priority: optional
Maintainer: Timo Weingärtner <timo@tiwe.de>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), libcrypt-dev, libpam0g-dev
Rules-Requires-Root: no
Homepage: https://git.tiwe.de/libpam-pwdfile.git
Vcs-Browser: https://git.tiwe.de/libpam-pwdfile.git/tree/?h=debian
Vcs-Git: https://git.tiwe.de/libpam-pwdfile.git -b debian

Package: libpam-pwdfile
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PAM module allowing authentication via an /etc/passwd-like file
 This PAM module lets you use an arbitrarily-named text file similar in
 structure to /etc/passwd to authenticate users.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all qa=+bug abi=+lfs

%:
	dh $@

override_dh_auto_install:

=== debian/watch ===
version=4
https://git.tiwe.de/libpam-pwdfile.git/refs/tags/ .*/snapshot/libpam-pwdfile-([^/]+).tar.gz
